# Default weather location:
# http://tgftp.nws.noaa.gov/weather/current/KHHF.html

Name:		conky
Version:	1.10.8
Release:	%mkrel 1
Summary:	A lightweight system monitor
License:	GPLv3+
Group:		Monitoring
URL:		https://github.com/brndnmtthws/conky
Source0:    %{name}-%{version}.tar.xz
Source1:	conky.conf
Source2:    startconky
Source10:   conky-autostartup-kde.desktop
Source11:   conky-autostartup-others.desktop
Patch1: conky-1.10.1-fix-cmake-build.patch
Patch2: conky-version.patch
# extras by zen-subz
Source13:	conkyrc-example
Source14:	draw_bg.lua
Source15:	conkyrc-clt
Source16:	ckluatext
Source17:	%{name}-luatext.desktop
Source18:	%name.png
Source19:	pclos.txt
#---------------------------------------------
BuildRequires: libxft-devel
BuildRequires: libxt-devel
BuildRequires: libxdamage-devel
BuildRequires: libxext-devel
BuildRequires: libiw30-devel
BuildRequires: libmcs-devel
BuildRequires: libimlib2-devel
BuildRequires: liblua5.1-devel
BuildRequires: libtolua++-devel
BuildRequires: libxinerama-devel
BuildRequires: libical-devel
BuildRequires: libircclient-devel
BuildRequires: libcairo-devel
BuildRequires: libcurl-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype6-devel
BuildRequires: libx11-devel
BuildRequires: libxfixes-devel 
BuildRequires: libxml2-devel 
BuildRequires: libxrender-devel
BuildRequires: libdbus-glib-1_2-devel
BuildRequires: libmicrohttpd-devel
BuildRequires: librsvg2-devel
BuildRequires: gettext-devel
BuildRequires: x11-proto-devel
BuildRequires: cmake
BuildRequires: git
BuildRequires: man
BuildRequires: docbook2x 
BuildRequires: docbook-style-xsl
BuildRequires: libpthread-stubs
BuildRequires: libpulseaudio-devel
BuildRequires: perl-XML-SAX
BuildRoot:      %{_tmppath}/%{title}-%{version}-%{release}-root
Requires:	libimlib2_1
Requires:	liblua5.1
Requires:	tolua++
Requires:	abattis-cantarell-fonts
#---------------------------------------------
Conflicts: 	%{name}-kde-autostart
Conflicts: 	%{name}-mate-autostart
Conflicts: 	%{name}-wizard
Conflicts: 	%{name}-manager

%description
Conky is a free, light-weight system monitor for X, that displays
any information on your desktop.

It is advised you create a .conkyrc file in your home directory
or else conky will pick-up the default config. 

Visit http://conky.sourceforge.net/config_settings.html to know
how to configure your .conkyrc file.

%package -n %{name}-autostart
Summary: Autostart Conky at Login
Group: Monitoring
Requires: %name >= 1.10.0
Conflicts: %{name}-kde-autostart
Conflicts: %{name}-mate-autostart

%description -n %{name}-autostart
Autostart Conky when you log into the desktop.

%package -n %{name}-convert
Summary: convert.lua script for Conky
Group: Monitoring
Requires: %name >= 1.10.0

%description -n %{name}-convert
This package contains the convert.lua script for converting
your old configs to the new 1.10.x format.

Usage: convert.lua old_conkyrc [new_conkyrc]

%prep
%setup -q
%apply_patches

mkdir -p doc/html

# remove -Werror from CFLAGS
sed -i 's|-Werror||' cmake/ConkyBuildOptions.cmake

# remove executable bits from files included in docdir
chmod a-x extras/convert.lua

for i in AUTHORS; do
    iconv -f iso8859-1 -t utf8 -o ${i}{_,} && touch -r ${i}{,_} && mv -f ${i}{_,}
done

%build
%cmake \
 -DLIB_INSTALL_DIR=/usr/%{_lib} \
 -DBUILD_APCUPSD=ON \
 -DBUILD_ARGB=ON \
 -DBUILD_AUDACIOUS=OFF \
 -DBUILD_BUILTIN_CONFIG=OFF \
 -DBUILD_CMUS=ON \
 -DBUILD_CURL=ON \
 -DBUILD_EVE=ON \
 -DBUILD_HDDTEMP=ON \
 -DBUILD_HTTP=ON \
 -DBUILD_I18N=ON \
 -DBUILD_IBM=ON \
 -DBUILD_ICAL=ON \
 -DBUILD_ICONV=ON \
 -DBUILD_IMLIB2=ON \
 -DBUILD_IOSTATS=ON \
 -DBUILD_IPV6=ON \
 -DBUILD_IRC=ON \
 -DBUILD_LUA_CAIRO=ON \
 -DBUILD_LUA_IMLIB2=ON \
 -DBUILD_LUA_RSVG=ON \
 -DMAINTAINER_MODE=ON \
 -DBUILD_MATH=ON \
 -DBUILD_MOC=ON \
 -DBUILD_MPD=ON \
 -DBUILD_MYSQL=OFF \
 -DBUILD_NCURSES=ON \
 -DBUILD_NVIDIA=OFF \
 -DBUILD_OLD_CONFIG=ON \
 -DBUILD_PORT_MONITORS=ON \
 -DBUILD_PULSEAUDIO=ON \
 -DBUILD_RSS=ON \
 -DBUILD_WEATHER_METAR=ON \
 -DBUILD_WEATHER_XOAP=ON \
 -DBUILD_WLAN=ON \
 -DBUILD_X11=ON \
 -DBUILD_XDAMAGE=ON \
 -DBUILD_XDBE=ON \
 -DBUILD_XFT=ON \
 -DBUILD_XINERAMA=ON \
 -DBUILD_XMMS2=OFF \
 -DBUILD_XSHAPE=ON

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std DESTDIR=$RPM_BUILD_ROOT -C build

install -m 0755 build/src/libtcp-portmon.so $RPM_BUILD_ROOT%{_libdir}/conky/libtcp-portmon.so
ln -s conky/libtcp-portmon.so $RPM_BUILD_ROOT%{_libdir}/libtcp-portmon.so

mv doc/*.html doc/html/

# default config
install -Dpm 0644 %SOURCE1 $RPM_BUILD_ROOT/%{_sysconfdir}/conky/conky.conf
install -m 0644 data/conky_no_x11.conf $RPM_BUILD_ROOT/%{_sysconfdir}/conky/conky_no_x11.conf

# autostart conky
install -m 0755 %SOURCE2 %buildroot/%{_bindir}/startconky
install -Dpm 0644 %SOURCE10 %buildroot/%{_sysconfdir}/xdg/autostart/conky-autostartup-kde.desktop
install -Dpm 0644 %SOURCE11 %buildroot/%{_sysconfdir}/xdg/autostart/conky-autostartup-others.desktop

# extra config
cp %SOURCE13 data/conkyrc-example

# desktop file
install -Dpm 0644 %SOURCE14 $RPM_BUILD_ROOT/%{_sysconfdir}/conky/draw_bg.lua
install -Dpm 0644 %SOURCE15 $RPM_BUILD_ROOT/%{_sysconfdir}/conky/conkyrc-clt
install -Dpm 0644 %SOURCE18 $RPM_BUILD_ROOT/%{_datadir}/icons/%{name}.png
install -Dpm 0644 %SOURCE19 $RPM_BUILD_ROOT/%{_sysconfdir}/conky/pclos.txt

# install script to convert old-configs
install -m 0755 extras/convert.lua %buildroot/%{_bindir}/convert.lua

# drop
rm -rf $RPM_BUILD_ROOT%{_docdir}/conky-*

# dont need these
rm -f $RPM_BUILD_ROOT/%{_libdir}/conky/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING LICENSE.* README.* extras/* data/conkyrc-example doc/html
%{_bindir}/conky
%{_mandir}/man1/conky.1.*
%{_sysconfdir}/conky/*
%{_libdir}/conky
%{_libdir}/libtcp-portmon.so
%{_datadir}/icons/%{name}.png

%files -n %name-autostart
%{_sysconfdir}/xdg/autostart/conky-autostartup-kde.desktop
%{_sysconfdir}/xdg/autostart/conky-autostartup-others.desktop
%{_bindir}/startconky

%files -n %{name}-convert
%{_bindir}/convert.lua


%changelog
* Fri Oct 19 2018 adrianomorselli <adrianomorselli> 1.10.8-1uplos2018
- update
